# List workflows of a project with filters

Endpoint: GET /api/projects/{id}/workflows
Version: 1.0
Security: ApiKeyAuth

## Path parameters:

  - `id` (integer, required)
    project id

## Query parameters:

  - `revision` (string, required)
    use a given revision of the project instead of the latest revision

  - `name` (string)
    exact matching filter on workflow name

## Response 200 fields (application/json):

  - `workflows` (array)

  - `workflows.config` (object)

  - `workflows.id` (string, required)
    workflow definition ID
    Example: "123456"

  - `workflows.name` (string, required)
    workflow name
    Example: "wf-123"

  - `workflows.project` (object, required)
    Name and ID

  - `workflows.project.id` (string, required)
    ID
    Example: "123456"

  - `workflows.project.name` (string, required)
    name
    Example: "abcdefg"

  - `workflows.revision` (string, required)
    revision

  - `workflows.timezone` (string, required)
    timezone
    Example: "UTC"


